<?php
ViewResponse::getInstance()->setMethodAjax();

set_time_limit  (300);

$o_ObjectBean = new InvestigacionBean();
  
if($txtivnid){
  if($txtivnid   != ""){ $o_ObjectBean->setInvestigacionId($txtivnid); }

}else{
  if($cboTipoInvestigacion !="")$o_ObjectBean->setTipoInvId($cboTipoInvestigacion);
  if($txtTitulo   !=""){ $o_ObjectBean->setTitulo($txtTitulo); }
  if($txtClave    !=""){ $o_ObjectBean->setClave($txtClave); }
  if($txtRevista  !=""){ $o_ObjectBean->setRevista($txtRevista); }
  if($txtVolumen  !=""){ $o_ObjectBean->setVolumen($txtVolumen); }
   if($index      !=""){ $o_ObjectBean->setIndex($index); }
  if($FechaPublicacionIni !=""){ $o_ObjectBean->setFechaPublicacion($FechaPublicacionIni); }
  if($FechaPublicacionFin !=""){ $o_ObjectBean->setFechaPublicacionFin($FechaPublicacionFin); }
  
  if($FechaRecepcion   !=""){ $o_ObjectBean->setFechaRecepcion($FechaRecepcion); }
  if($FechaRecepcionFin   !=""){ $o_ObjectBean->setFechaRecepcionFin($FechaRecepcionFin); }
  
  //Nuevo Extendsion de docente o alumno
  if($cboFacultad       !=""){ $o_ObjectBean->setFacultadDocAlm($cboFacultad); }
  if($cboEspecialidad   !=""){ $o_ObjectBean->setDepartamentoDocAlm($cboEspecialidad); }
  if($txtDocente   !=""){ $o_ObjectBean->setEspecialidadDocAlm($txtDocente); }


}

 $o_class = new InvestigacionBL();
 $a_ObjectBean = $o_class->busquedaInvestigacion($o_ObjectBean);


$pdf = new TCPDF('L', PDF_UNIT, PDF_PAGE_FORMAT, true); 
$pdf->AliasNbPages();
$pdf->setLanguageArray($l);
// set default header data
//$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE, PDF_HEADER_STRING);

// set header and footer fonts
//$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
//$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

//set margins
//$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
//$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
//$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

$pdf->AddPage();

define("POS_IZQ", 3);



//$pdf->Cell(35,4,'Inicio',0,0,'L',1);
//fin de cabecera

$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','B',5);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor("Facultad de Investigación");
$pdf->SetTitle("TCPDF Example 007");
$pdf->SetSubject("TCPDF Tutorial");
$pdf->SetKeywords("TCPDF, PDF, example, test, guide");

// set default header data
//$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE, PDF_HEADER_STRING);

//iniciop titulo
$pdf->SetFont('times','B',13);
$pdf->SetX(POS_IZQ);
$pdf->SetFillColor(201,202,204);
$pdf->Cell(280,4,utf8_encode('Busqueda de Investigación'),0,1,'L',1);
//fin titulo

//inicio de cabecera
$pdf->SetFont('times','B',5);
$pdf->SetX(POS_IZQ);
$pdf->SetFillColor(236,235,236);
$pdf->Cell(8,5,'Tipo',0,0,'L',1);
$pdf->Cell(10,5,'Codigo',0,0,'L',1);
$pdf->Cell(24,5,'Facultad',0,0,'L',1);
$pdf->Cell(32,5,'Departamento',0,0,'L',1);
$pdf->Cell(40,5,'Alumno',0,0,'L',1);
$pdf->Cell(8,5,'%Part.',0,0,'L',1);
$pdf->Cell(145,5,'Titulo',0,0,'L',1);
$pdf->Cell(12,5,'Fecha Rec.',0,0,'L',1);
$pdf->Cell(10,5,'Fecha Publ.',0,1,'L',1);

if(count($a_ObjectBean)>0){
  foreach ($a_ObjectBean as $iKey => $o_objBean){
  
    if($count==55){
      $pdf->AddPage();
      $pos   = 10;
      $count = -9;
    }
    $pdf->SetFont('times','',5);
    $pdf->SetFillColor(254,254,254);
    $pdf->SetX(POS_IZQ);
    $pdf->SetY($pdf->GetY()+1);
       
    $o_InvestigacionDocenteBean = new InvestigacionDocenteBean();
    $o_InvestigacionDocenteBean->setInvestigacionId($o_objBean->getInvestigacionId());
    
    $o_InvestigacionDocenteBL = new InvestigacionDocenteBL();
    $a_o_InvestigacionDocente = $o_InvestigacionDocenteBL->busquedaInvestigacionDocenteDetalle($o_InvestigacionDocenteBean);
           
    //Alumnos de la Investigacion
    $o_InvestigacionAlumnoBean = new InvestigacionAlumnosBean();
    $o_InvestigacionAlumnoBean->setInvestigacionId($o_objBean->getInvestigacionId());
    
    $o_InvestigacionAlumnoBL = new InvestigacionAlumnosBL();
    $a_o_InvestigacionAlumno = $o_InvestigacionAlumnoBL->busquedaInvestigacionAlumnoDetalle($o_InvestigacionAlumnoBean);
        
    //Externo de la Investigacion
    $o_InvestigacionExternoBean = new InvestigacionExternoBean();
    $o_InvestigacionExternoBean->setInvestigacionId($o_objBean->getInvestigacionId());
    
    $o_InvestigacionExternoBL = new InvestigacionExternoBL();
    $a_o_InvestigacionExterno = $o_InvestigacionExternoBL->busquedaInvestigacionExternoDetalle($o_InvestigacionExternoBean);
    
    
        
    if(count($a_o_InvestigacionDocente)){
          
      foreach ($a_o_InvestigacionDocente as $iKey => $o_InvestigacionDocente){ 
       
           
        $pdf->SetFont('times','',5);
        $pdf->SetFillColor(201,202,204);
        $pdf->SetX(POS_IZQ);
        $pdf->Cell(8,4,'Docente',0,0,'L',0);
        $pdf->Cell(10,5,$o_InvestigacionDocente->getObjectDocente()->getCodigoDocente(),0,0,'L',0);
        $pdf->Cell(24,5,ucfirst(strtolower($o_InvestigacionDocente->getObjectDocente()->getFacultadDescrip())),0,0,'L',0);
        $pdf->Cell(32,5,ucfirst(strtolower($o_InvestigacionDocente->getObjectDocente()->getDepartamentoDescrip())),0,0,'L',0);
        $pdf->Cell(40,5,ucwords(strtolower(utf8_encode($o_InvestigacionDocente->getObjectDocente()->getNombre()))),0,0,'L',0);
        $pdf->Cell(8,5,$o_InvestigacionDocente->getPorcentajeParticipacion(),0,0,'R',0);
        $current_y_position = $pdf->getY();
        $pdf->writeHTMLCell(145,0,$pdf->getX(),$current_y_position,utf8_encode($o_objBean->getTitulo()),0,0,0,true);
        $pdf->Cell(12,5,$o_objBean->getFechaRecepcion(),0,0,'C',0);
        $pdf->Cell(10,5,$o_objBean->getFechaPublicacion(),0,1,'C',0);
      }
    }
    
     
    if(count($a_o_InvestigacionAlumno)){
      $pdf->SetFont('times','B',5);
      $pdf->SetFillColor(236,235,236);
      $pdf->SetX(POS_IZQ);
      
      foreach ($a_o_InvestigacionAlumno as $iKey => $o_InvestigacionAlumno){ 
        
        $pdf->SetFont('times','',5);
        $pdf->SetX(POS_IZQ);
        $pdf->SetFillColor(201,202,204);
        $pdf->Cell(8,4,'Alumno',0,0,'L',0);
        $pdf->Cell(10,5,$o_InvestigacionAlumno->getObjectAlumno()->getCodigoAlumno(),0,0,'L',0);
        $pdf->Cell(24,ucfirst(strtolower($o_InvestigacionAlumno->getObjectAlumno()->getFacultadDescrip())),0,0,'L',0);
        $pdf->Cell(32,5,ucfirst(strtolower($o_InvestigacionAlumno->getObjectAlumno()->getDepartamentoDescrip())),0,0,'L',0);
        $pdf->Cell(40,5,$o_InvestigacionAlumno->getObjectAlumno()->getNombre(),0,0,'L',0);
        $pdf->Cell(8,5,utf8_encode($o_InvestigacionAlumno->getPorcentajeParticipacion()),0,0,'R',0);
        $current_y_position = $pdf->getY();
        $pdf->writeHTMLCell(145,0,$pdf->getX(),$current_y_position,utf8_encode($o_objBean->getTitulo()),0,0,0,true);
        $pdf->Cell(12,5,$o_objBean->getFechaRecepcion(),0,0,'C',0);
        $pdf->Cell(10,5,$o_objBean->getFechaPublicacion(),0,1,'C',0);
      }
    }
    
    if(count($a_o_InvestigacionExterno)){
      $pdf->SetFont('times','B',5);
      $pdf->SetFillColor(236,235,236);
      $pdf->SetX(POS_IZQ);
      foreach ($a_o_InvestigacionExterno as $iKey => $o_InvestigacionExterno){ 
              
        $pdf->SetFont('times','',5);
        $pdf->SetX(POS_IZQ);
        $pdf->SetFillColor(201,202,204);
         $pdf->Cell(8,4,'Externo',0,0,'L',0);
        $pdf->Cell(10,5,$o_InvestigacionExterno->getObjectExterno()->getCodigo(),0,0,'L',0);
        $pdf->Cell(24,5,"-",0,0,'L',0);
        $pdf->Cell(32,5,"-",0,0,'L',0);
        $pdf->Cell(40,5,$o_InvestigacionExterno->getObjectExterno()->getNombre(),0,0,'L',0);
        $pdf->Cell(8,5,$o_InvestigacionExterno->getPorcentajeParticipacion(),0,0,'R',0);
        $current_y_position = $pdf->getY();
        $pdf->writeHTMLCell(145,0,$pdf->getX(),$current_y_position,utf8_encode($o_objBean->getTitulo()),0,0,0,true);
        $pdf->Cell(12,5,$o_objBean->getFechaRecepcion(),0,0,'C',0);
        $pdf->Cell(10,5,$o_objBean->getFechaPublicacion(),0,1,'C',0);
      }
    }
    
    $pos=$pos+5;
    $count++;
  
  }
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,6,"No hay registros.",0,0,'L',1);
  
}

$pdf->Output();


?>